/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.ryZzrk.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.ryZzrk.entity.RyZzrkEntity;
import org.springblade.modules.rhzf.ryZzrk.vo.RyZzrkVO;
import org.springblade.modules.rhzf.ryZzrk.excel.RyZzrkExcel;
import org.springblade.modules.rhzf.ryZzrk.mapper.RyZzrkMapper;
import org.springblade.modules.rhzf.ryZzrk.service.IRyZzrkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_人员_暂住人口 服务实现类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Service
public class RyZzrkServiceImpl extends BaseServiceImpl<RyZzrkMapper, RyZzrkEntity> implements IRyZzrkService {

	@Autowired
	private RyZzrkJlServiceImpl ryZzrkJlService;

	@Override
	public IPage<RyZzrkVO> selectRyZzrkPage(IPage<RyZzrkVO> page, RyZzrkVO ryZzrk) {
		return page.setRecords(baseMapper.selectRyZzrkPage(page, ryZzrk));
	}

	@Override
	public List<RyZzrkExcel> exportRyZzrk(Wrapper<RyZzrkEntity> queryWrapper) {
		List<RyZzrkExcel> ryZzrkList = baseMapper.exportRyZzrk(queryWrapper);
		//ryZzrkList.forEach(ryZzrk -> {
		//	ryZzrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RyZzrk.getType()));
		//});
		return ryZzrkList;
	}

	@Override
	public boolean updateRy(SyjzryVO syjzryVO) {
		return baseMapper.updateRy(syjzryVO);
	}

	@Override
	public void zzrkZx(RyZzrkEntity zzrkEntity) {
		baseMapper.zzrkZx(zzrkEntity);
	}

	@DS("jl")
	@Override
	public void saveToJl(RyZzrkEntity zzrkEntity) {
		ryZzrkJlService.save(zzrkEntity);
	}

	@DS("jl")
	@Override
	public void updateByIdToJl(RyZzrkEntity zzrkEntity) {
		ryZzrkJlService.updateById(zzrkEntity);
	}

	@DS("jl")
	@Override
	public void zzrkZxToJl(RyZzrkEntity zzrkEntity) {
		baseMapper.zzrkZx(zzrkEntity);
	}
}
